//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ALS.ALSI.Biz.DataAccess
{
    using System;
    using System.Collections.Generic;
    
    public partial class job_info
    {
        public job_info()
        {
            this.job_reiew_requistion = new HashSet<job_reiew_requistion>();
        }
    
        public int ID { get; set; }
        public int contract_person_id { get; set; }
        public int customer_id { get; set; }
        public Nullable<System.DateTime> date_of_request { get; set; }
        public Nullable<System.DateTime> date_of_receive { get; set; }
        public string customer_ref_no { get; set; }
        public string company_name_to_state_in_report { get; set; }
        public int job_prefix { get; set; }
        public Nullable<int> job_number { get; set; }
        public string job_invoice { get; set; }
        public string customer_po_ref { get; set; }
        public string s_pore_ref_no { get; set; }
        public string spec_ref_rev_no { get; set; }
        public string sample_diposition { get; set; }
        public string status_sample_enough { get; set; }
        public string status_sample_full { get; set; }
        public string status_personel_and_workload { get; set; }
        public string status_test_tool { get; set; }
        public string status_test_method { get; set; }
        public Nullable<int> create_by { get; set; }
        public Nullable<int> update_by { get; set; }
        public Nullable<System.DateTime> create_date { get; set; }
        public Nullable<System.DateTime> update_date { get; set; }
        public string document_type { get; set; }
    
        public virtual m_customer_contract_person m_customer_contract_person { get; set; }
        public virtual m_customer m_customer { get; set; }
        public virtual ICollection<job_reiew_requistion> job_reiew_requistion { get; set; }
        public virtual job_running job_running { get; set; }
    }
}
